# wxDisplay Class Reference
[Application and System configuration]

`#include <wx/display.h>`

## Detailed Description

Determines the sizes and locations of displays connected to the system.

##

Library: wxCore

Category: Application and System configuration

See also:
  wxClientDisplayRect(), wxDisplaySize(), wxDisplaySizeMM()

## Public Member Functions
| wxDisplay (unsigned int index=0)
| Constructor, setting up a wxDisplay instance with the specified display.
| ~wxDisplay ()
| Destructor.
bool | ChangeMode (const wxVideoMode &mode=wxDefaultVideoMode)
| Changes the video mode of this display to the mode specified in the mode parameter.
wxRect | GetClientArea () const
| Returns the client area of the display.
wxVideoMode | GetCurrentMode () const
| Returns the current video mode that this display is in.
wxRect | GetGeometry () const
| Returns the bounding rectangle of the display whose index was passed to the constructor.
wxArrayVideoModes | GetModes (const wxVideoMode &mode=wxDefaultVideoMode) const
| Fills and returns an array with all the video modes that are supported by this display, or video modes that are supported by this display and match the mode parameter (if mode is not wxDefaultVideoMode).
wxString | GetName () const
| Returns the display's name.
bool | IsPrimary () const
| Returns true if the display is the primary display.
## Static Public Member Functions
static unsigned int | GetCount ()
| Returns the number of connected displays.
static int | GetFromPoint (const wxPoint &pt)
| Returns the index of the display on which the given point lies, or `wxNOT_FOUND` if the point is not on any connected display.
static int | GetFromWindow (const wxWindow *win)
| Returns the index of the display on which the given window lies.

List of all members.

## Constructor & Destructor Documentation

wxDisplay::wxDisplay | ( | unsigned int | index = `0` | ) |

Constructor, setting up a wxDisplay instance with the specified display.

Parameters:

  | index | The index of the display to use. This must be non-negative and lower than the value returned by GetCount().

wxDisplay::~wxDisplay | ( |  | ) |

Destructor.

## Member Function Documentation

bool wxDisplay::ChangeMode | ( | const wxVideoMode & | mode = `wxDefaultVideoMode` | ) |

Changes the video mode of this display to the mode specified in the mode parameter.

If wxDefaultVideoMode is passed in as the mode parameter, the defined behaviour is that wxDisplay will reset the video mode to the default mode used by the display. On Windows, the behaviour is normal. However, there are differences on other platforms. On Unix variations using X11 extensions it should behave as defined, but some irregularities may occur.

wxRect wxDisplay::GetClientArea | ( |  | ) | const

Returns the client area of the display.

The client area is the part of the display available for the normal (non full screen) windows, usually it is the same as GetGeometry() but it could be less if there is a taskbar (or equivalent) on this display.

static unsigned int wxDisplay::GetCount | ( |  | ) | `[static]`

Returns the number of connected displays.

wxVideoMode wxDisplay::GetCurrentMode | ( |  | ) | const

Returns the current video mode that this display is in.

static int wxDisplay::GetFromPoint | ( | const wxPoint & | pt | ) | `[static]`

Returns the index of the display on which the given point lies, or `wxNOT_FOUND` if the point is not on any connected display.

Parameters:

  | pt | The point to locate.

static int wxDisplay::GetFromWindow | ( | const wxWindow * | win | ) | `[static]`

Returns the index of the display on which the given window lies.

If the window is on more than one display it gets the display that overlaps the window the most.

Returns `wxNOT_FOUND` if the window is not on any connected display.

Parameters:

  | win | The window to locate.

wxRect wxDisplay::GetGeometry | ( |  | ) | const

Returns the bounding rectangle of the display whose index was passed to the constructor.

See also:
  GetClientArea(), wxDisplaySize()

wxArrayVideoModes wxDisplay::GetModes | ( | const wxVideoMode & | mode = `wxDefaultVideoMode` | ) | const

Fills and returns an array with all the video modes that are supported by this display, or video modes that are supported by this display and match the mode parameter (if mode is not wxDefaultVideoMode).

wxString wxDisplay::GetName | ( |  | ) | const

Returns the display's name.

A name is not available on all platforms.

bool wxDisplay::IsPrimary | ( |  | ) | const

Returns true if the display is the primary display.

The primary display is the one whose index is 0.

|  | [ top ]